LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 11-10-2007, 07:23 PM   #1
icedlightblue
LQ Newbie
 
Registered: Oct 2007
Distribution: kwort 2.2(slackware)
Posts: 28

Rep: Reputation: 15
Exclamation Please help with installing HPLIP,very important


Here's my problem:

when I cd into the Hplip directory and did ./configure,it came up with this error when it finshed:

configure:error:cannot find sane-backends-devel support (or --disable-scan-bulid)

Now I can't install my grandmother's printer(hp officejet 4110 all-in-one)

please help figure out this error and how to fix it please.
 
Old 11-10-2007, 08:11 PM   #2
Brian1
Guru
 
Registered: Jan 2003
Location: Seymour, Indiana
Distribution: Distribution: RHEL 5 with Pieces of this and that. Kernel 2.6.23.1, KDE 3.5.8 and KDE 4.0 beta, Plu
Posts: 5,700

Rep: Reputation: 61
You need to install that package if you want to be able to scan. If the printer is not an all in one then it does not matter. Do what it says for ' ./configure --disable-scan-build '. If you need scan then you need to install the needed package.

Brian
 
Old 11-10-2007, 08:54 PM   #3
icedlightblue
LQ Newbie
 
Registered: Oct 2007
Distribution: kwort 2.2(slackware)
Posts: 28

Original Poster
Rep: Reputation: 15
I did the ./configure --disable-scan-bulid and it configured as it would and I installed HPLIP.
 
Old 11-10-2007, 09:00 PM   #4
icedlightblue
LQ Newbie
 
Registered: Oct 2007
Distribution: kwort 2.2(slackware)
Posts: 28

Original Poster
Rep: Reputation: 15
Exclamation Please help with installing HPLIP and setting up a printer

when i installed HPLIP in the terminal i typed in hp-setup to set my grandmother's printer and it came up with this:

error:CUPSEXT could not be loaded. please check Hplip installation.

Is there something wrong with my installation please help.

Last edited by icedlightblue; 11-10-2007 at 09:34 PM.
 
Old 11-10-2007, 09:17 PM   #5
reddazz
Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 73
I've merged your threads because they deal with the same issue.
 
Old 11-10-2007, 09:37 PM   #6
icedlightblue
LQ Newbie
 
Registered: Oct 2007
Distribution: kwort 2.2(slackware)
Posts: 28

Original Poster
Rep: Reputation: 15
thanks,am sorry for posting two same treads.
 
Old 11-11-2007, 10:58 AM   #7
Brian1
Guru
 
Registered: Jan 2003
Location: Seymour, Indiana
Distribution: Distribution: RHEL 5 with Pieces of this and that. Kernel 2.6.23.1, KDE 3.5.8 and KDE 4.0 beta, Plu
Posts: 5,700

Rep: Reputation: 61
It is hard to say without actually being there. Have you meant all the requirements and minimun version levels for each as mention in the docs and their site?

Have you check logs to see if any errors have been occuring?

Is cups installed and the daemon service running?

Brian
 
Old 11-11-2007, 02:38 PM   #8
icedlightblue
LQ Newbie
 
Registered: Oct 2007
Distribution: kwort 2.2(slackware)
Posts: 28

Original Poster
Rep: Reputation: 15
well i got all the things for it:

* Linux kernel 2.4.19 and above (2.6.x recommended).
got it
* GNU software tools are required to build from source code. This includes the ANSI C
compiler, ANSI C++ compiler and POSIX compliant environment.
got it
* libusb 0.1.8 or higher.
got it
* ppdev/parport kernel modules for parallel port support.
got it
* GPL Ghostscript 7.05 or higher.
got it
* Foomatic 3.0.2 or higher.
got it
* Qt 3.x or higher for UI toolkit.
got it
* PyQt 3.14 or higher for Qt wrapper for Python.
got it
* Python 2.2 or higher and python-devel (Python 2.3+ for fax support)
got it
* Reportlab (optional-provides fax cover page support)
naaah,it's optional
* CUPS 1.1.15 or higher and cups-devel.
got it
* libjpeg 6b or higher and libjpeg-devel.
got it
* net-snmp 5.0.9 or higher and net-snmp-devel for network support.
got it
* chkconfig (Redhat) or install_initd (installed with LSB) for HPLIP startup/shutdown script.
don't need it,I do not use redhat

But I still get this:

hp-check[2257]: info: :
hp-check[2257]: info: :---------------
hp-check[2257]: info: :| SYSTEM INFO |
hp-check[2257]: info: :---------------
hp-check[2257]: info: :
hp-check[2257]: info: :[01mBasic system information:[0m
hp-check[2257]: info: :Linux Aquiles 2.6.19 #1 Tue Mar 13 19:00:53 ART 2007 i686 pentium4 i386 GNU/Linux

hp-check[2257]: info: :
hp-check[2257]: info: :[01mDistribution:[0m
hp-check[2257]: info: :unknown 0.0
hp-check[2257]: info: :[01m
HPOJ running?[0m
hp-check[2257]: info: :No, HPOJ is not running (OK).
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking Python version...[0m
hp-check[2257]: info: :OK, version 2.4.3 installed
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking PyQt version...[0m
error: NOT FOUND OR FAILED TO LOAD!
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking SIP version...[0m
error: SIP not installed or version not found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for CUPS...[0m
error: Status: (Not available. CUPS may not be installed or not running.)
hp-check[2257]: info: :Version: 1.3.4
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for Reportlab...[0m
warning: Not installed.
hp-check[2257]: info: :
hp-check[2257]: info: :----------------
hp-check[2257]: info: :| DEPENDENCIES |
hp-check[2257]: info: :----------------
hp-check[2257]: info: :
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: cups - Common Unix Printing System...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: cups-devel- Common Unix Printing System development files...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: gcc - GNU Project C and C++ Compiler...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libcrypto - OpenSSL cryptographic library...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libjpeg - JPEG library...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libnetsnmp-devel - SNMP networking library development files...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libpthread - POSIX threads library...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libtool - Library building support services...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: libusb - USB library...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: make - GNU make utility to maintain groups of programs...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...[0m
warning: NOT FOUND! This is an OPTIONAL dependency. Some HPLIP functionality may not function properly.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: ppdev - Parallel port support kernel module....[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: PyQt - Qt interface for Python...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: python-devel - Python development files...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: Python 2.3 or greater - Required for fax functionality...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: Python 2.2 or greater - Python programming language...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: Reportlab - PDF library for Python...[0m
warning: NOT FOUND! This is an OPTIONAL dependency. Some HPLIP functionality may not function properly.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: SANE - Scanning library...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: SANE - Scanning library development files...[0m
error: NOT FOUND! This is a REQUIRED dependency. Please make sure that this dependency is installed before installing or running HPLIP.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: scanimage - Shell scanning program...[0m
hp-check[2257]: info: :OK, found.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking for dependency: xsane - Graphical scanner frontend for SANE...[0m
warning: NOT FOUND! This is an OPTIONAL dependency. Some HPLIP functionality may not function properly.
hp-check[2257]: info: :
hp-check[2257]: info: :
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :| HPLIP INSTALLATION |
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :
hp-check[2257]: info: :
hp-check[2257]: info: :[01mCurrently installed HPLIP version...[0m
hp-check[2257]: info: :HPLIP 2.7.10 currently installed in '/usr/local/share/hplip'.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[2257]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hpssd]
# Note: hpssd does not support dynamic ports
# Port 2207 is the IANA assigned port for hpssd
port=2207

[hplip]
version=2.7.10

[dirs]
home=/usr/local/share/hplip
run=/var/run
ppd=/usr/local/share/ppd/HP
ppdbase=/usr/local/share/ppd
doc=/usr/local/share/doc/hplip-2.7.10
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
foomatic=/usr/local/share/foomatic

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
foomatic-xml-install=yes
foomatic-ppd-install=no
internal-tag=2.7.10.11

hp-check[2257]: info: :
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :| INSTALLED PRINTERS |
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :
hp-check[2257]: info: :
warning: No queues found.
hp-check[2257]: info: :
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :| SANE CONFIGURATION |
hp-check[2257]: info: :----------------------
hp-check[2257]: info: :
hp-check[2257]: info: :[01m'hpaio' in '/etc/sane.d/dll.conf'...[0m
hp-check[2257]: info: :OK, found. SANE backend 'hpaio' is properly set up.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking output of 'scanimage -L'...[0m
hp-check[2257]: info: :

No scanners were identified. If you were expecting something different,

check that the scanner is plugged in, turned on and detected by the

sane-find-scanner tool (if appropriate). Please read the documentation

which came with this software (README, FAQ, manpages).


hp-check[2257]: info: :
hp-check[2257]: info: :---------------------
hp-check[2257]: info: :| PYTHON EXTENSIONS |
hp-check[2257]: info: :---------------------
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking 'cupsext' CUPS extension...[0m
error: NOT FOUND OR FAILED TO LOAD! Please reinstall HPLIP and check for the proper installation of cupsext.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking 'pcardext' Photocard extension...[0m
error: NOT FOUND OR FAILED TO LOAD! Please reinstall HPLIP and check for the proper installation of pcardext.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking 'hpmudext' I/O extension...[0m
error: NOT FOUND OR FAILED TO LOAD! Please reinstall HPLIP and check for the proper installation of hpmudext.
hp-check[2257]: info: :
hp-check[2257]: info: :[01mChecking 'scanext' SANE scanning extension...[0m
error: NOT FOUND OR FAILED TO LOAD! Please reinstall HPLIP and check for the proper installation of scanext.
hp-check[2257]: info: :
hp-check[2257]: info: :-----------------
hp-check[2257]: info: :| USB I/O SETUP |
hp-check[2257]: info: :-----------------
hp-check[2257]: info: :
hp-check[2257]: info: :
hp-check[2257]: info: :-----------
hp-check[2257]: info: :| SUMMARY |
hp-check[2257]: info: :-----------
hp-check[2257]: info: :
error: 16 errors and/or warnings.
hp-check[2257]: info: :
hp-check[2257]: info: :Please refer to the installation instructions at:
hp-check[2257]: info: :http://hplip.sourceforge.net/install/index.html

can anyone tell me what's wrong.
 
Old 11-12-2007, 06:10 PM   #9
Brian1
Guru
 
Registered: Jan 2003
Location: Seymour, Indiana
Distribution: Distribution: RHEL 5 with Pieces of this and that. Kernel 2.6.23.1, KDE 3.5.8 and KDE 4.0 beta, Plu
Posts: 5,700

Rep: Reputation: 61
I don't see anything that sticks out. No other ideas.

Brian
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Setup ndiswrapper - can't get wireless to work. thomwickes Linux - Wireless Networking 2 06-08-2007 05:20 AM
Will Linux Work for My Project and Setup? andrecastillo Linux - Newbie 8 02-17-2007 12:47 PM
adsl-setup does not work. jared78 Linux - Networking 6 05-04-2005 09:00 AM
New setup can't get wireless to work earancibia Linux - Laptop and Netbook 2 04-08-2005 07:17 PM
my setup doesn't work lhesteves Linux - Newbie 6 11-16-2004 10:40 PM


All times are GMT -5. The time now is 05:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration